function x(tkname){
  return new Promise((res,rej)=>{
     setTimeout(()=>{
        console.log(tkname)
         res(tkname)
   
     },5000*Math.random())
  })
}
let ps=[]
for(let n=0;n<100;n++){
  ps.push(x("t"+n))
}
Promise.all(ps).then((v)=>{
    console.log(v)
})